Summary: The ipmasqadm port forwarding utility
Name: ipmasqadm
Version: 0.4.2
Release: 3
Serial: 1
Copyright: Distributable
Group: System Environment/Base
Source: http://juanjox.kernelnotes.org/ipmasqadm-%{version}.tar.gz
URL: http://juanjox.kernelnotes.org/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl
Requires: kernel >= 2.2.16, ipchains

%description
This tool allows ipmasq addtional setup, it is needed if you 
want to activate port forwarding or auto forwarding in 2.2 kernels.

%prep
%setup 

%build
make KSRC="/usr/src/linux"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ipmasqadm
perl -pi -e 's/-o root / /g; s/-g root / /g' Makefile
perl -pi -e 's/\/usr\/man/\/usr\/share\/man/g' Common.mk
make DESTDIR=$RPM_BUILD_ROOT install
strip  $RPM_BUILD_ROOT%{_libdir}/ipmasqadm/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc doc/* ChangeLog
%attr(755, root, root) %{_sbindir}/ipmasqadm
%attr(700, root, root) %dir %{_libdir}/ipmasqadm
%{_libdir}/ipmasqadm/*.so
%{_mandir}/man8/ipmasqadm.8*

%changelog
* Wed Nov 22 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Entirely rebuilt the spec file for RedHat 7.0

